#ifndef FORCE_H
#define FORCE_H

	#include "Point.h"
	#include <Inventor/SbLinear.h>




	class Force {
		public:
			/**
			 * Applys the force
			 */
			virtual void applyForce();
		
		private:
	};

	/*
	* TODO: was ist genau der Unterschied zwischcen Point *p1 und Point &p1 in 
	* Konstruktordefinition? Ev. wre es mit &p1 effizienter!?!
	*
	*/
	class Spring: public Force {
		public:
			Spring();
			Spring(Point *p1, Point *p2, float stiff, float damp, float length);
			virtual void applyForce();
		
		private:
			Point *point1;
			Point *point2;
			float stiffness;
			float damping;
			float initialLength;
	};

#endif